%define module  Test-Distribution
%define name	perl-%{module}
%define version 2.00
%define release %mkrel 6

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Perform tests on all modules of a distribution 
License: 	GPL or Artistic
Group: 		Development/Perl
Url:        http://search.cpan.org/dist/%{module}/
Source: 	http://www.cpan.org/modules/by-module/Test/%{module}-%{version}.tar.gz
Buildrequires:	perl(Module::Build)
Buildrequires:	perl(Module::Signature)
Buildrequires:	perl(Module::CoreList)
requires:	perl(File::Find::Rule)
BuildArch: 	noarch


%description
When using this module in a test script, it goes through all the modules in
your distribution, checks their POD, checks that they compile ok and checks
that they all define a $VERSION.

This module also performs a numer of test on the distribution itself. It checks
that your files match your SIGNATURE file if you have one. It checks that your
distribution isn't missing certain 'core' description files. It checks to see
you havent' missed out listing any pre-requisites in Makefile.PL.

It defines its own testing plan, so you usually don't use it in conjunction
with other Test::* modules in the same file. It's recommended that you just
create a one-line test script as shown in the SYNOPSIS above. However, there
are options...

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes.pod README META.yml
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.00-6.mga3
+ Revision: 373473
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 2.00-5.mga1
+ Revision: 27111
- mageia rebuild
- imported package perl-Test-Distribution

